For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search

Scrape Lowe's search results by keyword, with support for store and delivery ZIP localization, and filters for free delivery, same-day pickup, and same/next-day delivery.

The lowes_search data source is designed to retrieve Lowe's search pages.

Request samples

In the samples below, we make a request to retrieve a search results page for the query iphone.

curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "lowes_search",
        "query": "iphone",
        "store_id": 2752,
        "free_delivery": true,
        "delivery_zip": "22313",
        "render": "html"
    }'
import requests
from pprint import pprint


# Structure payload.
payload = {
    'source': 'lowes_search',
    'query': 'iphone',
    'store_id': 2752,
    'free_delivery': true,
    'delivery_zip': '22313',
    'render': 'html'
}

# Get response.
response = requests.request(
    'POST',
    'https://realtime.oxylabs.io/v1/queries',
    auth=('USERNAME', 'PASSWORD'),
    json=payload,
)

# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())

Request parameter values

Generic

Basic setup and customization options for scraping Lowe's search pages.

Parameter
Description
Default Value

source

Sets the scraper.

lowes_search

query

The keyword or phrase to search for products.

-

render

Enables JavaScript rendering when set to html. More info.

-

callback_url

URL to your callback endpoint. More info

-

user_agent_type

Device type and browser. The full list can be found here.

desktop

- mandatory parameter

Localization

Customize results based on store locations, delivery areas.

Parameter
Description
Default Value
Type

store_id

Specify a store.

-

Integer

delivery_zip

Specify delivery location ZIP code.

-

String

Filtering

Options to filter and refine search results based on various criteria.

Parameter
Description
Default Value
Type

free_delivery

Filter to include products which have free delivery.

-

Boolean

pickup_today

Filter to include products which are available for same day pickup.

-

Boolean

delivery_today_tomorrow

Filter to include products which can be delivered the same or next day.

-

Boolean

Last updated

Was this helpful?